<script setup lang="ts">
import { useMemberStore } from '@/Pos/stores/member'
import type { Member } from '@/Pos/types/Member'
import { ref } from 'vue'
const memberStore = useMemberStore()
const tel = ref('')
const member = ref<Member | null>()
function searchTel() {
  const result = memberStore.getMemberByTel(tel.value)
  if (result !== null) {
    member.value = result
    emit('selected', member.value)
  } else {
    member.value = null
  }
}
const emit = defineEmits<{
  selected: [Member]
}>()
</script>
<template>
  <v-container>
    <v-row>
      <v-col>
        <v-text-field
          v-model="tel"
          label="tel"
          prepend-icon="mdi-phone"
          @keyup.enter="searchTel"
        ></v-text-field>
      </v-col>
      <v-col class="pa-6"> {{ member?.name }} </v-col>
    </v-row>
  </v-container>
</template>
